--
-- BottomGear
--
-- Copyright (C) GIANTS Software GmbH, Confidential, All Rights Reserved.

BottomGear = {}

local BottomGear_mt = Class(BottomGear, Mission00);

function BottomGear:new(baseDirectory, customMt)
    local mt = customMt;
    if mt == nil then
        mt = BottomGear_mt;
    end;
    local self = BottomGear:superClass():new(baseDirectory, mt);
    return self;
end;

function BottomGear:delete()
    BottomGear:superClass().delete(self);
end;

function BottomGear:load()
    self.environment = Environment:new(Utils.getFilename("$data/sky/sky_day_night.i3d", self.baseDirectory), true, 8, true, true);
    
    -- load the map
    self:loadMap(Utils.getFilename("map01.i3d", self.baseDirectory));
    
    -- load paths for AI traffic vehicles
    -- self:loadMap(Utils.getFilename("map01/paths/trafficPaths.i3d", self.baseDirectory));
    
    -- load paths for AI pedestrians
    -- self:loadMap(Utils.getFilename("map01/paths/pedestrianPaths.i3d", self.baseDirectory));
        
    -- AnimalHusbandry.initialize();
    -- self:loadMap(Utils.getFilename("$data/maps/missions/CattleMeadow.i3d", self.baseDirectory));
    
    -- load the PDA map image
      self.missionPDA:loadMap(Utils.getFilename("map01/pda_map.png", self.baseDirectory));
    
    BottomGear:superClass().load(self);
end
function BottomGear:loadFinished()
    BottomGear:superClass().loadFinished(self);
    -- AnimalHusbandry.finalize();
end;

function BottomGear:mouseEvent(posX, posY, isDown, isUp, button)
    BottomGear:superClass().mouseEvent(self, posX, posY, isDown, isUp, button);
end;

function BottomGear:keyEvent(unicode, sym, modifier, isDown)
    BottomGear:superClass().keyEvent(self, unicode, sym, modifier, isDown);
end;

function BottomGear:update(dt)
    BottomGear:superClass().update(self, dt);
end;

function BottomGear:draw()
    BottomGear:superClass().draw(self);
end;
